Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_Dev_Poll_Event_Tuple Class Reference

Class that associates specific event mask with a given event handler. More...

`#include <Dev_Poll_Reactor.h>`

Collaboration diagram for ACE_Dev_Poll_Event_Tuple:

[legend]
List of all members.

## Public Member Functions
| ACE_Dev_Poll_Event_Tuple (void)
| Constructor.
## Public Attributes
ACE_Event_Handler * | event_handler
| The event handler.
ACE_Reactor_Mask | mask
| The event mask for the above event handler.
char | suspended
| Flag that states whether or not the event handler is suspended.

## Detailed Description

Class that associates specific event mask with a given event handler.

This class merely provides a means to associate an event mask with an event handler. Such an association is needed since it is not possible to retrieve the event mask from the "interest set" stored in the `/dev/poll' or `/dev/epoll' driver. Without this external association, it would not be possible keep track of the event mask for a given event handler when suspending it or resuming it.

Note:
  An ACE_Handle_Set is not used since the number of handles may exceed its capacity (ACE_DEFAULT_SELECT_REACTOR_SIZE).

## Constructor & Destructor Documentation

ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_INLINE ACE_Dev_Poll_Event_Tuple::ACE_Dev_Poll_Event_Tuple | ( | void |  | ) |

| Constructor.

## Member Data Documentation

ACE_Event_Handler* ACE_Dev_Poll_Event_Tuple::event_handler

| The event handler.

ACE_Reactor_Mask ACE_Dev_Poll_Event_Tuple::mask

| The event mask for the above event handler.

char ACE_Dev_Poll_Event_Tuple::suspended

| Flag that states whether or not the event handler is suspended.

The documentation for this class was generated from the following files:

- Dev_Poll_Reactor.h
- Dev_Poll_Reactor.inl